Lister les paiements (bêta)
curl --request GET \
--url https://api.kemypay.com/v1/mobile-money/collections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kemypay.com/v1/mobile-money/collections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kemypay.com/v1/mobile-money/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kemypay.com/v1/mobile-money/collections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kemypay.com/v1/mobile-money/collections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kemypay.com/v1/mobile-money/collections")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kemypay.com/v1/mobile-money/collections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"code": "019a9c41-7e2d-4b8f-a1c3-5d6e7f8a9b0c",
"reference": "order-2026-10-29-0001",
"service_code": "019a8f2e-4c1b-7d3a-9e55-2b6f0c1d8a47",
"status": "processing",
"country": "CMR",
"operator": "MTN_CMR",
"phone_number": "237670000000",
"currency": "XAF",
"value": "1000.00",
"amount": "1033.00",
"fee": "33.00",
"fee_bearer": "customer",
"net_amount": "1000.00",
"description": "Afroyamo Premium",
"metadata": {
"user_id": "42"
},
"failure_code": null,
"failure_message": null,
"operator_transaction_id": null,
"callback_url": "https://afroyamo.com/payment/done",
"created_at": "2026-10-29T10:00:00+00:00",
"completed_at": null
}
],
"meta": {
"request_id": "a4f8e2c1b3d97056",
"timestamp": "2026-10-29T10:00:00+00:00",
"mode": "live"
},
"pagination": {
"page": 1,
"limit": 20,
"total": 42,
"pages": 3
}
}Encaissements
Lister les paiements
Vos paiements, du plus récent au plus ancien. Les clés de test ne listent que les paiements de test, les clés de production que les paiements réels.
GET
/
mobile-money
/
collections
Lister les paiements (bêta)
curl --request GET \
--url https://api.kemypay.com/v1/mobile-money/collections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kemypay.com/v1/mobile-money/collections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kemypay.com/v1/mobile-money/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kemypay.com/v1/mobile-money/collections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kemypay.com/v1/mobile-money/collections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kemypay.com/v1/mobile-money/collections")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kemypay.com/v1/mobile-money/collections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"code": "019a9c41-7e2d-4b8f-a1c3-5d6e7f8a9b0c",
"reference": "order-2026-10-29-0001",
"service_code": "019a8f2e-4c1b-7d3a-9e55-2b6f0c1d8a47",
"status": "processing",
"country": "CMR",
"operator": "MTN_CMR",
"phone_number": "237670000000",
"currency": "XAF",
"value": "1000.00",
"amount": "1033.00",
"fee": "33.00",
"fee_bearer": "customer",
"net_amount": "1000.00",
"description": "Afroyamo Premium",
"metadata": {
"user_id": "42"
},
"failure_code": null,
"failure_message": null,
"operator_transaction_id": null,
"callback_url": "https://afroyamo.com/payment/done",
"created_at": "2026-10-29T10:00:00+00:00",
"completed_at": null
}
],
"meta": {
"request_id": "a4f8e2c1b3d97056",
"timestamp": "2026-10-29T10:00:00+00:00",
"mode": "live"
},
"pagination": {
"page": 1,
"limit": 20,
"total": 42,
"pages": 3
}
}Bêta. Ce point d’entrée est en cours de déploiement en production. Bientôt disponible en production : vous pouvez déjà préparer votre intégration avec cette page.
Autorisations
Votre clé API secrète : sk_live_… (argent réel) ou sk_test_… (mode test).
Paramètres de requête
Seulement les paiements de ce service (son code).
Options disponibles:
pending, processing, completed, failed Plage requise:
x >= 1Plage requise:
1 <= x <= 100